## GtkListItem

GtkListItem

## Functions

GtkWidget * | gtk_list_item_new ()
GtkWidget * | gtk_list_item_new_with_label ()
void | gtk_list_item_select ()
void | gtk_list_item_deselect ()

## Signals

void | end-selection | Action
void | extend-selection | Action
void | scroll-horizontal | Action
void | scroll-vertical | Action
void | select-all | Action
void | start-selection | Action
void | toggle-add-mode | Action
void | toggle-focus-row | Action
void | undo-selection | Action
void | unselect-all | Action

## Types and Values

struct | GtkListItem

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GtkObject
                ╰── GtkWidget
                    ╰── GtkContainer
                        ╰── GtkBin
                            ╰── GtkItem
                                ╰── GtkListItem

## Implemented Interfaces

GtkListItem implements AtkImplementorIface and GtkBuildable.

## Includes

    #include <gtk/gtk.h>

## Description

## Functions

### gtk_list_item_new ()

    GtkWidget *
    gtk_list_item_new (void);

`gtk_list_item_new` is deprecated and should not be used in newly-written code.

### gtk_list_item_new_with_label ()

    GtkWidget *
    gtk_list_item_new_with_label (const gchar *label);

`gtk_list_item_new_with_label` is deprecated and should not be used in newly-written code.

### gtk_list_item_select ()

    void
    gtk_list_item_select (GtkListItem *list_item);

`gtk_list_item_select` is deprecated and should not be used in newly-written code.

### gtk_list_item_deselect ()

    void
    gtk_list_item_deselect (GtkListItem *list_item);

`gtk_list_item_deselect` is deprecated and should not be used in newly-written code.

## Types and Values

### struct GtkListItem

    struct GtkListItem;

`GtkListItem` is deprecated and should not be used in newly-written code.

## Signal Details

### The `“end-selection”` signal

    void
    user_function (GtkListItem *listitem,
                   gpointer     user_data)

Flags: Action

### The `“extend-selection”` signal

    void
    user_function (GtkListItem  *listitem,
                   GtkScrollType arg1,
                   gfloat        arg2,
                   gboolean      arg3,
                   gpointer      user_data)

Flags: Action

### The `“scroll-horizontal”` signal

    void
    user_function (GtkListItem  *listitem,
                   GtkScrollType arg1,
                   gfloat        arg2,
                   gpointer      user_data)

Flags: Action

### The `“scroll-vertical”` signal

    void
    user_function (GtkListItem  *listitem,
                   GtkScrollType arg1,
                   gfloat        arg2,
                   gpointer      user_data)

Flags: Action

### The `“select-all”` signal

    void
    user_function (GtkListItem *listitem,
                   gpointer     user_data)

Flags: Action

### The `“start-selection”` signal

    void
    user_function (GtkListItem *listitem,
                   gpointer     user_data)

Flags: Action

### The `“toggle-add-mode”` signal

    void
    user_function (GtkListItem *listitem,
                   gpointer     user_data)

Flags: Action

### The `“toggle-focus-row”` signal

    void
    user_function (GtkListItem *listitem,
                   gpointer     user_data)

Flags: Action

### The `“undo-selection”` signal

    void
    user_function (GtkListItem *listitem,
                   gpointer     user_data)

Flags: Action

### The `“unselect-all”` signal

    void
    user_function (GtkListItem *listitem,
                   gpointer     user_data)

Flags: Action